Debian Bug report logs - #633861
libgit-pure-perl: use Digest::SHA instead of Digest::SHA1

version graph

Package: src:libgit-pure-perl; Maintainer for src:libgit-pure-perl is Jonas Genannt <jonas.genannt@capi2name.de>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Thu, 14 Jul 2011 13:33:07 UTC

Severity: normal

Tags: patch

Found in version libgit-pure-perl/0.47-1

Fixed in version libgit-pure-perl/0.48-1

Done: Jonas Genannt <jonas.genannt@capi2name.de>

Bug is archived. No further changes may be made.

Forwarded to https://rt.cpan.org/Ticket/Display.html?id=69470

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#633861; Package src:libgit-pure-perl. (Thu, 14 Jul 2011 13:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Jonas Genannt <jonas.genannt@capi2name.de>. (Thu, 14 Jul 2011 13:33:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libgit-pure-perl: use Digest::SHA instead of Digest::SHA1
Date: Thu, 14 Jul 2011 15:29:55 +0200
Source: libgit-pure-perl
Version: 0.47-1
Severity: normal
User: debian-perl@lists.debian.org
Usertags: digest-sha-perl-transition

Hi Jonas

We from the Debian Perl Group would like to drop libdigest-sha1-perl
at some point, see [1]. Most of the functionality (except
sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
Switching from Digest::SHA1 to Digest::SHA should be in principle as
easy as substituting the use of Digest::SHA1 with Digest::SHA.

Digest::SHA is in Perl core since version 5.9.3 and thus is in
Debian's perl since Lenny.

Changing use of Digest::SHA1 to Digest::SHA would thus reduce external
dependencies by one.

 [1] http://deb.li/digestsha

Now, lib/Git/PurePerl.pm, lib/Git/PurePerl/NewObject.pm,
lib/Git/PurePerl/Pack/WithoutIndex.pm all seems to use Digest::SHA1
such that could be replaced by Digest::SHA.

Could you patch libgit-pure-perl to use Digest::SHA instead?

Bests,
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Set Bug forwarded-to-address to 'https://rt.cpan.org/Ticket/Display.html?id=69470'. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Thu, 14 Jul 2011 13:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#633861; Package src:libgit-pure-perl. (Thu, 14 Jul 2011 20:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. (Thu, 14 Jul 2011 20:33:06 GMT) Full text and rfc822 format available.

Message #12 received at 633861@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: 633861@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#633861: libgit-pure-perl: use Digest::SHA instead of Digest::SHA1
Date: Thu, 14 Jul 2011 22:29:55 +0200
[Message part 1 (text/plain, inline)]
tags 633861 + patch pending
thanks

Hello,

> Now, lib/Git/PurePerl.pm, lib/Git/PurePerl/NewObject.pm,
> lib/Git/PurePerl/Pack/WithoutIndex.pm all seems to use Digest::SHA1
> such that could be replaced by Digest::SHA.
> 
> Could you patch libgit-pure-perl to use Digest::SHA instead?

please see attached patch.

Thanks,
	Jonas
[sha1_sha_translation.patch (text/x-patch, attachment)]

Added tag(s) pending and patch. Request was from Jonas Genannt <jonas.genannt@capi2name.de> to control@bugs.debian.org. (Thu, 14 Jul 2011 20:33:07 GMT) Full text and rfc822 format available.

Reply sent to Jonas Genannt <jonas.genannt@capi2name.de>:
You have taken responsibility. (Tue, 26 Jul 2011 09:36:13 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Tue, 26 Jul 2011 09:36:15 GMT) Full text and rfc822 format available.

Message #19 received at 633861-close@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: 633861-close@bugs.debian.org
Subject: Bug#633861: fixed in libgit-pure-perl 0.48-1
Date: Tue, 26 Jul 2011 09:32:58 +0000
Source: libgit-pure-perl
Source-Version: 0.48-1

We believe that the bug you reported is fixed in the latest version of
libgit-pure-perl, which is due to be installed in the Debian FTP archive:

libgit-pure-perl_0.48-1.debian.tar.gz
  to main/libg/libgit-pure-perl/libgit-pure-perl_0.48-1.debian.tar.gz
libgit-pure-perl_0.48-1.dsc
  to main/libg/libgit-pure-perl/libgit-pure-perl_0.48-1.dsc
libgit-pure-perl_0.48-1_all.deb
  to main/libg/libgit-pure-perl/libgit-pure-perl_0.48-1_all.deb
libgit-pure-perl_0.48.orig.tar.gz
  to main/libg/libgit-pure-perl/libgit-pure-perl_0.48.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 633861@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Genannt <jonas.genannt@capi2name.de> (supplier of updated libgit-pure-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 19 Jul 2011 18:42:43 +0200
Source: libgit-pure-perl
Binary: libgit-pure-perl
Architecture: source all
Version: 0.48-1
Distribution: unstable
Urgency: low
Maintainer: Jonas Genannt <jonas.genannt@capi2name.de>
Changed-By: Jonas Genannt <jonas.genannt@capi2name.de>
Description: 
 libgit-pure-perl - Pure Perl interface to Git repositories
Closes: 633861 634580
Changes: 
 libgit-pure-perl (0.48-1) unstable; urgency=low
 .
   * New upstream version (Closes: #633861)
   * patch to disable github test, due needed network
     connection (Closes: #634580)
   * moved to DebSrc 3.0
Checksums-Sha1: 
 4f866dc215b09dad5132802082f815d86cad4995 1329 libgit-pure-perl_0.48-1.dsc
 b2f0da8966a6a39cc40e647549aa0766d4458263 64830 libgit-pure-perl_0.48.orig.tar.gz
 5daf90a6a2120d056058d10c3f01e8a8686463f0 1832 libgit-pure-perl_0.48-1.debian.tar.gz
 41b50132a86654abf95f1706d02b9646fbc1cddf 19380 libgit-pure-perl_0.48-1_all.deb
Checksums-Sha256: 
 8a9eaa6f8b4830a5ef5ead163175a5d4424e4ab4ca88ed6f2d6312ba1e9ec53c 1329 libgit-pure-perl_0.48-1.dsc
 08ae373c669982b8a3d6ef9e3e5123587720fce88898c0f5b63d0c9fcd43f52b 64830 libgit-pure-perl_0.48.orig.tar.gz
 3304ef0d00ac4c1d98007e4a2389dac807a9e4e6f06774a8a2e521bedde5adf1 1832 libgit-pure-perl_0.48-1.debian.tar.gz
 5249bee7330c0b65d90b99bc9be7ca37810fcb056f316022aee644a7e623c95d 19380 libgit-pure-perl_0.48-1_all.deb
Files: 
 ba688f4b05f0819c3400d77d09f6dbb3 1329 perl optional libgit-pure-perl_0.48-1.dsc
 da6f1d0b4b33d1ac7508dbe87c6bf4ad 64830 perl optional libgit-pure-perl_0.48.orig.tar.gz
 0845d1db1966c65238f80f54bf1d396b 1832 perl optional libgit-pure-perl_0.48-1.debian.tar.gz
 9fe9103912ac3d905c68583ce11c910a 19380 perl optional libgit-pure-perl_0.48-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk4uiFYACgkQ+C5cwEsrK54pxACfTDzDmCIodQcwTeixaberXrlb
tiUAn2P/NxXOA/NluP1jMEQStRuVOvJ6
=m71Z
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 Sep 2011 07:37:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:04:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.